#include <stdio.h>
#include "defines.h"

int cash_read1line2(FILE *fp,unchar line[],int max,int mode)
/* コメント対応テキスト１行読みだし（第１単語読み出しなし）*/
/* １行はmaxバイト以下のこと*/
{
unchar c;
int i;
	do {
		/* １行読み出し */
		if (cash_fgets(line,max,fp)==NULL) return(1);
		/* 先頭のスペース／ＴＡＢのチェック */
		i=0;
		while (c=line[i],c==SPC||c==TAB) i++;
		/* 空行カット */
	} while (c=='\n'||c==';'); /* 改行のみ／コメント */
	if (mode) { /* 改行コードを消す */
		if (c!=0) { /* line[EOF]がある時を考慮して */
			while (line[i]!='\n') i++;
			line[i]=0;
		}
	}
	return(0);
}
